package Site::SQLFieldArea;
# LICENSE
#
# Copyright (c) 2001 Steve Slaven <bpk@hoopajoo.net> All rights reserved.
#
# This program is free software  and is provided "as is" without
# express or implied warranty. You can redistribute it and/or
# modify it under the same terms as Perl itself.
#

use strict;
use vars qw( @ISA %AUTOFIELDS $AUTOSETTINGS );

use Site::SQLFieldBase;
@ISA = qw( Site::SQLFieldBase );

$AUTOSETTINGS = 1;
%AUTOFIELDS = (
		width => 50,
		height => 3,
		wrap => 1,
		strip_cr => 1
	);

sub _HTMLFIELD
{
	my $Self = shift;

	return(
		'<TEXTAREA COLS=' . 
		$Self -> width() .
		' ROWS=' .
		$Self -> height() .
		' NAME=' .
		$Self -> _HTMLNAME() .
		$Self -> _WrapClause() .
		'>' .
		$Self -> _HTMLVALUE() .
		'</TEXTAREA>' );
}

sub _WrapClause
{
	my $Self = shift;
	if( $Self -> wrap() )
	{
		return( " WRAP=VIRTUAL" );
	}
	return( undef );
}

sub _HTMLVALUE
{
	my $self = shift;

	my $val = $self -> value();

	if( $self -> strip_cr() )
	{
		$val =~ s/\r//g;
	}

	return( Site::Page -> encode_entities( $val ) );
}

# Doesn't do anything right now...
sub SQLVALUE___
{
	my $self = shift;

	my $val = $self -> value();

	if( $self -> strip_cr() )
	{
		$val =~ s/\r//g;
	}

	return( $val );
}

1;
